Subject: bug#7387: 23.2; Emacs port to HP-UX ia64

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 13 Nov 2010 00:45:01 -0500

"Maguire, Andrew (GE Energy)" <[email-masked]> writes:

> I have been attempting a port to Itanium HP-UX 11.23.
> I have managed to change the configure etc. to successfully produce a
> seemingly
> valid bootstrap-emacs executable.
> However, when it runs it immediately returns the error:
>
> 	emacs: Invalid function: run-hooks
>
> This at a guess implies it is running the low level C functions but
> appears to be
> failing to find the Lisp function binding.
> If anyone has any clues as to what could be wrong or things to try 
> or where to look in the initialisation sequence please let me know.
> The gdb environment on the machine unfortunately does not appear usable
> at present, returning the unhelpful error:
> 	Error trying to get information from the dynamic linker.

Did you use unexelf.c for dumping?  

> I am also using gcc 4.3.3. I know that there is a port done by HP for
> ia64 for version 22.3
> but its configure program appeared to have been hacked to use HP's cc
> compiler not gcc.

What kind of hacks?  Changing the compiler should not be very important.

Can you please try the trunk?  There have been some fixes for HPUX
specific problems.